org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class EndpointDescriptionWriter.XmlProperty

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty
  - - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.XmlProperty

Enclosing class:
  EndpointDescriptionWriter

    protected class EndpointDescriptionWriter.XmlProperty
    extends EndpointDescriptionWriter.ComplexProperty

### Constructor Summary

Constructors
Constructor and Description
`XmlProperty(String name, String xml)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeProperty(int indentLevel, Writer writer)`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty

`getName, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlProperty

    public XmlProperty(String name,
                       String xml)

### Method Detail

#### writeProperty

    public void writeProperty(int indentLevel,
                              Writer writer)
                       throws IOException

Specified by:
  `writeProperty` in class `EndpointDescriptionWriter.ComplexProperty`
Throws:
  `IOException`